Package de.willuhn.jameica.hbci.gui

# Class CustomDateFormat

java.lang.Object
java.text.Format
java.text.DateFormat
java.text.SimpleDateFormat
de.willuhn.jameica.hbci.gui.CustomDateFormat

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class CustomDateFormat extends SimpleDateFormat
Wir haben das Java-Dateformat ueberschrieben, damit wir mehrere Datumsformate en bloc testen koennen.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.text.DateFormat

`DateFormat.Field`

## Field Summary

### Fields inherited from class java.text.DateFormat

`AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

## Constructor Summary

Constructors
Constructor
Description
`CustomDateFormat(String format)`
ct.

## Method Summary

Modifier and Type
Method
Description
`Date`
`parse(String source)`

### Methods inherited from class java.text.SimpleDateFormat

`applyLocalizedPattern, applyPattern, clone, equals, format, formatToCharacterIterator, get2DigitYearStart, getDateFormatSymbols, hashCode, parse, set2DigitYearStart, setDateFormatSymbols, toLocalizedPattern, toPattern`

### Methods inherited from class java.text.DateFormat

`format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, isLenient, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

### Methods inherited from class java.text.Format

`format, parseObject`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomDateFormat

public CustomDateFormat(String format)
ct.

Parameters:
  `format` - das Date-Format.

## Method Details

### parse

public Date parse(String source) throws ParseException

Overrides:
  `parse` in class `DateFormat`
Throws:
  `ParseException`
See Also:
  - `DateFormat.parse(java.lang.String)`